BWParserInternal::State Struct Reference

Internal: the state of a BWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

long | m_textBegin
| the text begin position More...
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map More...
std::map< int, Frame > | m_idFrameMap
| the map id to frame More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a BWParser.

## Constructor & Destructor Documentation

BWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int BWParserInternal::State::m_actPage

the actual page

int BWParserInternal::State::m_footerHeight

the footer height if known

int BWParserInternal::State::m_headerHeight

the header height if known

std::map<int, Frame> BWParserInternal::State::m_idFrameMap

the map id to frame

int BWParserInternal::State::m_numPages

the number of page of the final document

long BWParserInternal::State::m_textBegin

the text begin position

std::multimap<std::string, MWAWEntry> BWParserInternal::State::m_typeEntryMap

the type entry map

The documentation for this struct was generated from the following file:

- BWParser.cxx